<?php
 require_once("../header.php");
 $caja = $_GET["caja"];
 require_once("datos_cierre.php");

?>
<style type="text/css">
	.panel{
		min-height: 250px;
	}
</style>

<div class="container-fluid">
	   <ol class="breadcrumb">
	    <li><a href="#">Registro de movimientos de caja</a></li>
	    <li><a href="#"><b>Cierre de turno</b></a></li>
	   
    </ol>
    <span class="h2 text-success"><i class="fa fa-cash-register fa-lg"></i> Cierre de caja</span><hr>

    <span class="text-danger h4" id="lb-caja3">
            Caja: #<?php echo $_GET["caja"]?>
          </span>
  <span class="h4" id="fecha_apertura"></span>
<script type="text/javascript">
	//$("#lb-caja3").html(estadoCaja);
</script>
    <div class="row">


    	<div class="col-md-3">
    		
		  <div class="panel panel-success">
			<div class="panel-heading">
				<h3 align="center" class="text-danger">Balance</h3>
			</div>

			<div class="panel-body">
				<span class="text-primary  mt-2"><b>Monto de inicio:</b></span>
				<span class="text-primary pull-right" id='lb-inicio'><?php echo $inicio?></span><br>
				<b><span class="text-success  mt-2 h3">Balance:</span></b>
				<b><span class="text-primary pull-right" id='lb-balance'><?php echo decimal(@$bala)?></span></b><br><br>
				<span class="text-success  mt-2"><b>Conteo de efectivo:</b></span>
				<input onKeyUp="cal()" type="number" id="txt-conteo" class="pull-right" style="width: 85px;"><br>
				<hr>
				<span class="text-success  mt-2"><b>Diferencia</b></span>
				<span class="text-success pull-right" id='lb-diferencia'>0.00</span><br>
				<hr>
				<select id="tipo_vista" class="form-control col-md-3 mb-2" >
					<option value=""> Tipo de vista</option>
					<option value="Detallado"> Detallado</option>
					<option value="Resumido"> Resumido</option>
				</select>
				<button class="btn btn-info" onclick="cerrar()"><i class="fa fa-cash-register fa-lg"></i> Terminar</button>
				<button class="btn btn-default" onclick="cierre_preview()"><i class="fa fa-eye fa-lg"></i> Ver</button>
				<button class="btn btn-default mt-2" onclick="window.location.href='turnos_caja.php'"><i class="fa fa-undo fa-lg"></i> Atras</button>
			</div>

			</div>
    	</div>

    	<div class="col-md-3">
		  <div class="panel panel-success">
			<div class="panel-heading">
				<h3 align="center" class="text-success">Ventas</h3>
			</div>

			<div class="panel-body">
				<span class="text-primary  mt-2"><b>Venta en efectivo:</b></span>
				
				<span class="text-primary pull-right" id='lb-venta-efectivo'><?php echo decimal(@mysql_result($ventas_efectivo_total,0,"total"));?></span><br>



				<span class="text-success  mt-2"><b>Venta cheque:</b></span>
				<span class="text-success pull-right" id='lb-venta-cheque'><?php echo decimal(@mysql_result($ventas_cheque_total,0,"total"));?></span><br>

				<span class="text-success  mt-2"><b>Venta Tarjeta:</b></span>
				<span class="text-success pull-right" id='lb-venta-tarjeta'><?php echo decimal(@mysql_result($ventas_tarjeta_total,0,"total"));?></span><br>


				<span class="text-primary  mt-2"><b>TOTAL VENTA CONTADO:</b></span>
				
				<span class="text-primary pull-right" id='lb-venta-contado'><?php echo @decimal($totalContado);?></span><br>
				
<hr>
				<span class="text-danger  mt-2"><b>Venta a credito:</b></span>
				<span class="text-primary pull-right" id='lb-venta-credito'><?php echo decimal(mysql_result($ventas_credito_total,0,"total"));?></span><br>

				<hr>
				<span class="text-success  mt-2"><b>Devoluciones:</b></span>
				<span class="text-success pull-right" id='lb-devoluciones'><?php echo decimal(@mysql_result($devoluciones,0,"total"));?></span><br>
			</div>

			</div>
    	</div>


    	<div class="col-md-3">
		  <div class="panel panel-success">
			<div class="panel-heading">
				<h3 align="center" class="text-primary">Ingreso</h3>
			</div>

			<div class="panel-body">
				<span class="text-success  mt-2"><b>Pagos de credito:</b></span>
				<span class="text-success pull-right" id='lb-pagos'><?php echo decimal(@mysql_result($pagos_credito,0,"total"));?></span><br>
				<span class="text-success  mt-2"><b>Otros ingresos:</b></span>
				<span class="text-success pull-right" id='lb-otros-ingresos'><?php echo decimal(@mysql_result($otros_ingresos,0,"total"));?></span><br>
				
			</div>

			</div>
    	</div>

    	<div class="col-md-3">
		  <div class="panel panel-success">
			<div class="panel-heading">
				<h3 align="center" class="text-danger">Egreso</h3>
			</div>

			<div class="panel-body">
				<span class="text-success  mt-2"><b>Pago cuentas por pagar:</b></span>
				<span class="text-success pull-right" id='lb-egresos'><?php echo decimal(@mysql_result($pagos_proveedor,0,"total"));?></span><br>
				<span class="text-success  mt-2"><b>Otros Egresos:</b></span>
				<span class="text-success pull-right" id='lb-otros-egresos'><?php echo decimal(@mysql_result($otros_egresos,0,"total"));?></span><br>
				
			</div>

			</div>
    	</div>

    	

    </div>
</div>



<script type="text/javascript">
 var balance=0.00;
 var ingresos_credito=0
 var ingresos_otros=0
 var egresos_compras=0
 var egresos_devoluciones=0;
 var egresos_otros=0
var ingreso_inicio=0
var ingreso_venta=0

	cashState(myCaja)
	var seceuncia="";
              function cashState(caja){
                var sql = "select * from apertura_caja where caja='"+caja+"' order by id desc limit 1";
                _enviar("../php/traer_datos.php",{sql:sql})
                .done( function( data ){
                  var rs = JSON.parse(data);
                  estadoCaja = rs.data[0].estado;
				  secuencia = rs.data[0].id+"-"+myCaja;
				  ///alert(secuencia)

                   $("#lb-caja3").html(myCaja+"("+estadoCaja+")");
                    $("#fecha_apertura").html("Fecha apertura: "+rs.data[0].hora_apertura);
                })
              }
	function cerrar(){
		if(estadoCaja=="Cerrado"){alert("Esta caja ya habia cerrado el turno"); return;}
		if(!confirm("Seguro de cerrar este turno?")){return;}
		var param ="fecha="+$("#fecha_apertura").html();
			param +="&usuario="+$("#lb-caja3").html();
			param +="&inicio="+$("#lb-inicio").html();
			param +="&balance="+$("#lb-balance").html();
			param +="&usuario="+myUser;
			param +="&secuencia="+secuencia;
			param +="&diferencia="+$("#lb-diferencia").html();
			param +="&venta-efectivo="+$("#lb-venta-efectivo").html();
			param +="&venta-contado="+$("#lb-venta-contado").html();
			param +="&venta-credito="+$("#lb-venta-credito").html();
			param +="&venta-cheque="+$("#lb-venta-cheque").html();
			param +="&venta-tarjeta="+$("#lb-venta-tarjeta").html();
			param +="&devoluciones="+$("#lb-devoluciones").html();
			param +="&pagos="+$("#lb-pagos").html();
			param +="&otros-ingresos="+$("#lb-otros-ingresos").html();
			param +="&egresos="+$("#lb-egresos").html();
			param +="&otros-egresos="+$("#lb-otros-egresos").html();
			param +="&conteo="+$("#txt-conteo").val();
			param +="&tipo=save";

		var sql = "update apertura_caja set fecha_cierre=NOW(), hora_cierre=NOW()";
			sql+=", contado='"+$("#txt-conteo").val()+"'"
			sql+=", balance='"+miBalance+"'"
			sql+=", diferencia='"+miDiferencia+"'"
			sql+=", estado='Cerrado' where caja='"+myCaja+"' and estado='Abierto'";
		_enviar("../php/update.php",{sql:sql})
		.done( function  ( data ){
			if(data=="1"){alert("Caja cerrada satisfactoriamente!"); 
			  localStorage.setItem("estado_caja", "cerrada");
			 if($("#tipo_vista").val()=="Detallado"){
				window.location.href = '../reportes/rptCierreTurnoDetallado.php?'+param
			 }else{
			  window.location.href = '../reportes/rptCierreTurno.php?'+param
			 }
			 setTimeout(function(){
			  	window.location.href="turnos_caja.php"
			  },2000)
			 }else{alert(data)}
		})
	}
	

/*

seceuncia();
  var secuencia="";
  function seceuncia(){
	var inicio=0;
    var sql = "select * from apertura_caja where caja='" + myCaja + "' and estado='Abierto' order by id desc limit 1";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        if(data==""){alert("Esta caja no esta configurada como punto de ventas o no existe una instancia de la misma"); return;}
        var rs = JSON.parse(data);
        estadoCaja = rs.data[0].estado;
        secuencia = rs.data[0].id+"-"+myCaja;
		inicio = rs.data[0].monto_apertura;
		$("#lb-inicio").html(numeral(inicio).format('0,0.00'));
		balance+=parseFloat(inicio);
		ingreso_inicio = inicio
		
        ventas();
		

      })
  }

  function ventas(){
	var c_contado=0;  ///Cantidad ventas al contado
	var t_contado=0;  ///Total de ventas al contado
	var c_credito=0;  ///Cantidad de ventas a credito
	var t_credito=0;  ///Total de ventas a credito
	var c_cheque=0;  ///Cantidad de ventas a cheque
	var t_cheque=0;  ///Total de ventas a cheque
	var c_tarjeta=0;  ///Cantidad de ventas a tarjeta
	var t_tarjeta=0;  ///Total de ventas a tarjeta
	
    var sql = "select * from ventas where secuencia='" + secuencia + "' and estado!='Anulada'";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        if(data==""){alert("Esta caja no esta configurada como punto de ventas o no existe una instancia de la misma"); return;}
        var rs = JSON.parse(data);
        for(var i in rs.data){
			

			if(rs.data[i].termino=="Contado"){
				c_contado++;
				t_contado+=parseFloat(rs.data[i].total);
				
			
				
				
			}
			
			if(rs.data[i].termino=="Credito"){
				c_credito++;
				t_credito+=parseFloat(rs.data[i].total);
			}

			if(rs.data[i].termino=="Cheque"){
				c_cheque++;
				t_cheque+=parseFloat(rs.data[i].total);
				
			}

			if(rs.data[i].termino=="Tarjeta"){
				c_tarjeta++;
				t_tarjeta+=parseFloat(rs.data[i].total);
			}

			$("#lb-venta-contado").html(c_contado+"("+numeral(t_contado).format('0,0.00')+")");
			$("#lb-venta-credito").html(c_credito+"("+numeral(t_credito).format('0,0.00')+")");
			$("#lb-venta-cheque").html(c_cheque+"("+numeral(t_cheque).format('0,0.00')+")");
			$("#lb-venta-tarjeta").html(c_tarjeta+"("+numeral(t_tarjeta).format('0,0.00')+")");
			ingreso_venta = t_contado;
		
		
		}
			pagos()
      })
  }




  function pagos(){
	var c_pagos=0;  ///Cantidad ventas al contado
	var t_pagos=0;  ///Total de ventas al contado
	var c_otros=0;  ///Cantidad ventas al contado
	var t_otros=0;  ///Total de ventas al contado
	
    var sql = "select * from ingresos where secuencia='" + secuencia + "'";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        if(data==""){alert("Esta caja no esta configurada como punto de ventas o no existe una instancia de la misma"); return;}
        var rs = JSON.parse(data);
        for(var i in rs.data){
			

			if(rs.data[i].tipo=="Credito"){
				c_pagos++;
				t_pagos+=parseFloat(rs.data[i].monto);
				
				
				
			}
			if(rs.data[i].tipo=="Otros"){
				c_otros++;
				t_otros+=parseFloat(rs.data[i].monto);
				
				
			}
			
		
			$("#lb-pagos").html(c_pagos+"("+numeral(t_pagos).format('0,0.00')+")");
			$("#lb-otros-ingresos").html(c_otros+"("+numeral(t_otros).format('0,0.00')+")");
			//ingresos+=parseFloat(t_pagos)
			ingresos_credito=t_pagos
			ingresos_otros = t_otros
		}
		
		
		devoluciones();
		
      })
  }



  function devoluciones(){
	var c_devoluciones=0;  ///Cantidad devoluciones
	var t_devoluciones=0;  ///Total de devoluciones
	
	
    var sql = "select * from devoluciones where secuencia='" + secuencia + "'";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        if(data==""){alert("Esta caja no esta configurada como punto de ventas o no existe una instancia de la misma"); return;}
        var rs = JSON.parse(data);
        for(var i in rs.data){
				c_devoluciones++;
				t_devoluciones+=parseFloat(rs.data[i].importe);

			
			
			
		}
		
		$("#lb-devoluciones").html("<span class='text-danger'>"+c_devoluciones+"("+numeral(t_devoluciones).format('0,0.00')+")</span>");
			
			egresos_devoluciones=t_devoluciones;
		 iegresos();
      })
  }
  
   
    function iegresos(){
	var men=0;	
	var c_egresos=0;  ///Cantidad ventas al contado
	var t_egresos=0;  ///Total de ventas al contado
	var c_egresos_otros=0;  ///Cantidad ventas al contado
	var t_egresos_otros=0;  ///Total de ventas al contado
	
    var sql = "select * from egresos where secuencia='" + secuencia + "'";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        if(data==""){alert("Esta caja no esta configurada como punto de ventas o no existe una instancia de la misma"); return;}
        var rs = JSON.parse(data);
        for(var i in rs.data){
			

			if(rs.data[i].tipo=="Produccion" || rs.data[i].tipo=="Compras" || rs.data[i].tipo=="Pago"){
				c_egresos++;
				t_egresos+=parseFloat(rs.data[i].monto);
				
				
				
			}
			
			
			if(rs.data[i].tipo=="Otros"){
				c_egresos_otros++;
				t_egresos_otros+=parseFloat(rs.data[i].monto);
				
				
			}



		
			$("#lb-egresos").html(c_egresos+"("+numeral(t_egresos).format('0,0.00')+")");
			$("#lb-otros-egresos").html(c_egresos_otros+"("+numeral(t_egresos_otros).format('0,0.00')+")");
			egresos_otros=t_egresos_otros;
			egresos_compras=t_egresos;
			
			
		}
	
		balance=0
		
      })
  }
  */
  var miBalance=0
  var miDiferencia=0
  setInterval(function(){
	  ///$("#lb-balance").html(numeral(parseFloat(ingreso_inicio)+parseFloat(ingreso_venta) + parseFloat(ingresos_credito)+parseFloat(ingresos_otros) - (parseFloat(egresos_compras) + parseFloat(egresos_otros) + parseFloat(egresos_devoluciones))).format('0,0.00'))
	  miBalance = parseFloat("<?php echo $bala?>")
 },500)

function cal(){
	var contado = $("#txt-conteo").val();
	var diferencia =parseFloat(contado) - parseFloat(miBalance)
	$("#lb-diferencia").html(numeral(diferencia).format('0,0.00'))
	miDiferencia = diferencia
}

function cierre_preview(){
		var param ="fecha="+$("#fecha_apertura").html();
			param +="&usuario="+myUser;
			param +="&inicio="+$("#lb-inicio").html();
			param +="&balance="+$("#lb-balance").html();
			param +="&conteo="+$("#txt-conteo").val();
			param +="&diferencia="+$("#lb-diferencia").html();
			param +="&venta-efectivo="+$("#lb-venta-efectivo").html();
			param +="&venta-contado="+$("#lb-venta-contado").html();
			param +="&venta-credito="+$("#lb-venta-credito").html();
			param +="&venta-cheque="+$("#lb-venta-cheque").html();
			param +="&venta-tarjeta="+$("#lb-venta-tarjeta").html();
			param +="&devoluciones="+$("#lb-devoluciones").html();
			param +="&pagos="+$("#lb-pagos").html();
			param +="&otros-ingresos="+$("#lb-otros-ingresos").html();
			param +="&egresos="+$("#lb-egresos").html();
			param +="&otros-egresos="+$("#lb-otros-egresos").html();
			param +="&secuencia="+secuencia;
			
			 if($("#tipo_vista").val()=="Detallado"){
				window.location.href = '../reportes/rptCierreTurnoDetallado.php?'+param
			 }else{
			  window.location.href = '../reportes/rptCierreTurno.php?'+param
			 }
		
}

</script>